package domain


type AlibabaPricePromotionItemDeleteResult struct {
    /*
        data     */
    DataList  *[]string `json:"data_list,omitempty" `

    /*
        code     */
    ResultCode  *int64 `json:"result_code,omitempty" `

    /*
        totalRecord     */
    TotalRecord  *int64 `json:"total_record,omitempty" `

    /*
        msg     */
    Message  *string `json:"message,omitempty" `

    /*
        success     */
    IsSuccess  *bool `json:"is_success,omitempty" `

}

func (s *AlibabaPricePromotionItemDeleteResult) SetDataList(v []string) *AlibabaPricePromotionItemDeleteResult {
    s.DataList = &v
    return s
}
func (s *AlibabaPricePromotionItemDeleteResult) SetResultCode(v int64) *AlibabaPricePromotionItemDeleteResult {
    s.ResultCode = &v
    return s
}
func (s *AlibabaPricePromotionItemDeleteResult) SetTotalRecord(v int64) *AlibabaPricePromotionItemDeleteResult {
    s.TotalRecord = &v
    return s
}
func (s *AlibabaPricePromotionItemDeleteResult) SetMessage(v string) *AlibabaPricePromotionItemDeleteResult {
    s.Message = &v
    return s
}
func (s *AlibabaPricePromotionItemDeleteResult) SetIsSuccess(v bool) *AlibabaPricePromotionItemDeleteResult {
    s.IsSuccess = &v
    return s
}
